DREM(3)

NAME
drem - floating-point remainder function

SYNOPSIS
#include <math.h>

double drem(double x, double y);

DESCRIPTION
The drem() function computes the remainder of dividing x by y. The return value is x - n * y, where n is the quotient of x / y, rounded to the nearest integer. If the quotient is 1/2, it is rounded to the even number.

RETURN VALUE
The drem() function returns the remainder, unless y is zero, when the function fails and errno is set.

ERRORS

EDOM
    The denominator y is zero.

CONFORMING TO
BSD 4.3

SEE ALSO
fmod(3)